Bug 969151 - PHP Fatal error: Call to undefined method Xml::hidden
PHP Fatal error: Call to undefined method Xml::hidden
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mediawiki-CategoryTree (Show other bugs)
18
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-30 15:11 EDT by Fritz Elfert
Modified: 2014-02-05 16:35 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:35:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fritz Elfert 2013-05-30 15:11:13 EDT
Description of problem:
Visiting http://my.local.wiki/index.php/Special:CategoryTree results in a blank page and in apache's error log, the following entry is produced:

PHP Fatal error:  Call to undefined method Xml::hidden() in /usr/share/mediawiki/extensions/CategoryTree/CategoryTreePage.php on line 115

Version-Release number of selected component (if applicable):
mediawiki-CategoryTree-45462-4.fc17.noarch

How reproducible:
always

Steps to Reproduce:
1. yum install mediawiki-CategoryTree
2. Follow instructions in /usr/share/doc/mediawiki-CategoryTree-45462/README.fedora
3. Invoke /Special:CategoryTree

Actual results:
PHP fatal error

Expected results:
A working extension

Additional info:
1. The following describes a similar problem with another old extension:
http://www.mediawiki.org/wiki/Extension_talk:ContactPage#error:_Call_to_undefined_method_Xml::hidden.28.29
Following the advice (replacing Xml::hidden by Html::hidden in CategoryTreePage.php) fixes the problem.

2. The package's dist tag suggests, that this package probably wasn't properly
 rebuilt for F18. (I'm on a freshly installed standard F18 - no custom repos)
Comment 1 Joshua Werner 2013-11-28 11:53:17 EST
Received same error after installing fresh Fedora 18 and installing mediawiki from yum repo. Installed using git clone, per instructions on site and was unable to reproduce error.

Steps to Fix:

1.) Install using git mediawiki repo. git clone....
2.) Follow instructions per mediawiki documentation of installation using apache.

Extensions were also tested and functioned. Git also enables branch changes, if instability might occur.

Results:
Functional mediawiki page with implemented extensions.

Additional info:
Fedora and Mediawiki has since been updated and compatibility has improved as well.
Comment 2 Fedora End Of Life 2013-12-21 08:47:15 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2014-02-05 16:35:50 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.